> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmetal.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Key

> This endpoint gets a particular key.

### Auth Headers

<ParamField required header="x-metal-api-key" type="string">
  An API key for your org.
</ParamField>

<ParamField required header="x-metal-client-id" type="string">
  A Client ID for your org.
</ParamField>

### Response

<ResponseField name="data" type="Key Object">
  <Expandable title="properties">
    <ResponseField name="id" type="string">
      ID of the key
    </ResponseField>

    <ResponseField name="name" type="string">
      Name of the key
    </ResponseField>

    <ResponseField name="keyLastFour" type="string">
      Last 4 digits of the key
    </ResponseField>

    <ResponseField name="clientId" type="string">
      Client ID of the key
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request POST 'https://api.getmetal.io/v1/keys/{keyId}' \
  --header 'Content-Type: application/json' \
  --header 'x-metal-api-key: <api-key>' \
  --header 'x-metal-client-id: <client-id>' \
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "data": {
      "id": "1",
      "name": "My first key"
      "keyLastFour": "1234",
      "clientId": "1234567890"
    }
  }
  ```
</ResponseExample>
